support forum

You can often find solutions to common problems by first checking our Frequently Asked Questions.
If that doesn't help, please post your issue below or contact us directly and we'll try to help out.

Avatar

Please consider registering
guest

sp_LogInOut Log In sp_Registration Register sp_MemberList Members

Register | Lost password?
Advanced Search

— Forum Scope —




— Match —





— Forum Options —





Minimum search word length is 3 characters - maximum search word length is 84 characters

sp_Feed Topic RSS sp_TopicIcon
version 3.41 is NOT compatible with 10.6.8 Snow Leopard.
November 18, 2015
3:20 pm
Avatar
Admin
Forum Posts: 347
Member Since:
April 23, 2008
sp_UserOfflineSmall Offline

Apple offers this upgrade from the previous version 3.39 but you should not accept the upgrade if you are running 10.6.8.

We are working on getting this cleared up with Apple so that incompatible versions are not offered for download.

If you have already downloaded the 3.41 version and have an incompatibility issue, please contact us via email from the contact page and we will provide you with a download of the last compatible version.

Forum Timezone: UTC -5

Most Users Ever Online: 349

Currently Online:
5 Guest(s)

Currently Browsing this Page:
1 Guest(s)

Top Posters:

Spudboy: 10

lamboom: 8

Timothy: 7

sparky: 6

OmarKN: 6

mustbjones: 6

Member Stats:

Guest Posters: 182

Members: 102

Moderators: 0

Admins: 1

Forum Stats:

Groups: 2

Forums: 7

Topics: 207

Posts: 690